# Searchable attributes

## cURL

```bash
curl \
  -X GET 'MEILISEARCH_URL/indexes/movies/settings/searchable-attributes'
```

### Response Codes
- 200
- 401
- 404

```json
[]
```

### API Endpoint
GET

`/indexes/{index_uid}/settings/searchable-attributes`

## Documentation Index

Fetch the complete documentation index at: [https://www.meilisearch.com/docs/llms.txt](/content/docs/llms.txt)

Use this file to discover all available pages before exploring further.

### Authorizations

**Authorization**  
`string`  
`header`  
`required`

An API key is a token that you provide when making API calls. Read more about [how to secure your project](/content/docs/learn/security/basic_security/index.html).

Include the API key to the `Authorization` header, for instance:

```bash
-H 'Authorization: Bearer 6436fc5237b0d6e0d64253fbaac21d135012ecf1'
```

If you use a SDK, ensure you instantiate the client with the API key, for instance with [JS SDK](https://github.com/meilisearch/meilisearch-js):

```javascript
const client = new Meilisearch({
  host: 'MEILISEARCH_URL',
  apiKey: '6436fc5237b0d6e0d64253fbaac21d135012ecf1'
});
```

### Path Parameters

**index_uid**  
`string`  
`required`  
Unique identifier of the index.

### Response

**200**  
`application/json`

Returns the current value of the `searchableAttributes` setting.
